> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Run Cost Summary



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/job-runs/{uuid}/cost-summary
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/job-runs/{uuid}/cost-summary:
    get:
      tags:
        - Job Runs
      summary: Get Job Run Cost Summary
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: uuid
          in: path
      responses:
        '200':
          description: Job run cost summary retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobRunCostSummaryResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    JobRunCostSummaryResponse:
      type: object
      properties:
        gross_spend:
          type:
            - number
            - 'null'
          description: Total spend amount (sum of all captures)
        refunds:
          type:
            - number
            - 'null'
          description: Total refund amount
        net_spend:
          type:
            - number
            - 'null'
          description: Net spend (gross_spend - refunds)
        pending_hold:
          type:
            - number
            - 'null'
          description: Active authorization hold amount (0 if no active hold)
        calculated_cost:
          type:
            - number
            - 'null'
          description: Calculated cost based on hourly_rate × duration
        transaction_count:
          type: integer
          description: Number of transactions for this job run
        billing_rule:
          type: string
          enum:
            - ONE_TIME
            - HOURLY
            - EXEMPT
          description: Billing rule applied to this job run
        hourly_rate_usd:
          type: number
          description: Hourly rate in USD
        currency:
          type: string
          enum:
            - USD
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/ComputeLedgerTransactionResponse'
          description: List of billing transactions for this job run
        authorization:
          allOf:
            - $ref: '#/components/schemas/ComputeLedgerAuthorizationResponse'
            - type:
                - object
                - 'null'
              description: Active or most recent authorization for this job run
      required:
        - gross_spend
        - refunds
        - net_spend
        - pending_hold
        - calculated_cost
        - transaction_count
        - billing_rule
        - hourly_rate_usd
        - currency
        - transactions
        - authorization
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    ComputeLedgerTransactionResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        amount_usd:
          type:
            - number
            - 'null'
        job_run_uuid:
          type:
            - string
            - 'null'
        authorization_uuid:
          type:
            - string
            - 'null'
        consumer_profile_uuid:
          type:
            - string
            - 'null'
        consumer_account_uuid:
          type:
            - string
            - 'null'
        render_user_id:
          type:
            - string
            - 'null'
        render_credit_id:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - CAPTURE
            - REFUND
        memo:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - compute_ledger_transaction
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - amount_usd
        - type
        - object
        - created_at
        - updated_at
    ComputeLedgerAuthorizationResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        amount_usd:
          type:
            - number
            - 'null'
        approved:
          type: boolean
        status:
          type: string
          enum:
            - CLOSED
            - EXPIRED
            - PENDING
            - REVERSED
            - UNCAPTURED
        status_reason:
          type:
            - string
            - 'null'
        opened_at:
          type:
            - string
            - 'null'
          format: date-time
        closed_at:
          type:
            - string
            - 'null'
          format: date-time
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
        consumer_account_uuid:
          type:
            - string
            - 'null'
        consumer_profile_uuid:
          type:
            - string
            - 'null'
        job_run_uuid:
          type:
            - string
            - 'null'
        render_user_id:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - compute_ledger_authorization
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - amount_usd
        - approved
        - status
        - opened_at
        - expires_at
        - object
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````